<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>4_1</title>
    <script type="text/javascript">
        var altura=[50,20,60];
        
        function cajas(a1){

            document.querySelector("main").innerHTML+='<div class="estandar"> DIV1 </div>';//aqui llego hasta la caja donde quiero meter el div.
            document.querySelector("main").innerHTML+='<div class="estandar"> DIV2 </div>';
            document.querySelector("main").innerHTML+='<div class="estandar"> DIV3 </div>';

            
            
            var estilos=document.querySelectorAll("main>div");// esto se vuelve un array de elementos.
            //es por eso que del array estilos el elemento que se encuentra en la posición [0] es el primer div, aquí hemos utilizado la etiqueta div porque solo hay 3 divs pero podría haber utilizado la clase estandar, previamente creada.

            for(var c=0;c<estilos.length;c++){
                estilos[c].style.height=a1[c]+"px";//todo lo repetitivo se puede hacer con un bucle

            };

            // estilos[0].style.height=a1 +"px";
            estilos[0].style.backgroundColor="red";
            estilos[0].style.color="white";

            // estilos[1].style.height=a2 +"px";
            estilos[1].style.backgroundColor="blue";
            estilos[1].style.color="white";

            // estilos[2].style.height=a3 +"px";
            estilos[2].style.backgroundColor="green";
            estilos[2].style.color="white";


            // document.querySelectorAll("main>div")[0].style.height=a1 +"px";
            // document.querySelectorAll("main>div")[0].style.backgroundColor="red";
            // document.querySelectorAll("main>div")[0].style.color="white";
            // document.querySelectorAll("main>div")[1].style.height=a2 +"px";
            // document.querySelectorAll("main>div")[1].style.backgroundColor="blue";
            // document.querySelectorAll("main>div")[1].style.color="white";
            // document.querySelectorAll("main>div")[2].style.height=a3 +"px";
            // document.querySelectorAll("main>div")[2].style.backgroundColor="green";
            // document.querySelectorAll("main>div")[2].style.color="white";


        };
            

    </script>
</head>

<body onload="cajas(altura)">
    <main>
        <header>
            <h1>Ejemplo 4</h1>
        </header>
        <section>
            <header>
                <h2>Enunciado</h2>
            </header>
            <article>
                Crear una funcion que le pases 3 numeros y te cree 3 divs con la altura de los numeros pasados. Los divs deben tener una clase que se denonine "estandar". Esta clase la debeis crear vosotros antes
            </article>

            
        </section>
    </main>
</body>
</html>